You are on page 1of 2

EMC PowerPath + IBM HACMP 5.

2 环境切换时间问题

在配置 EMC CX 系列带 PowerPath 与 IBM HACMP 5.2 环境时,如果不做特殊处理,将


导致 HACMP 切换时,对存储的 LUN 每个进行 SCSI Reservation Reset 时,由于 API 错
误的关系,每个 LUN 花很长时间处理,最多试过 20 个 LUN,切换光程光在这一步就要
花费 30 分钟。

这是由于 PowerPath 设备提供的 API 与 IBM 自己的 hdisk 的访问 API 有差异造成。EMC
的 Interoperability Matrix 做出了很好的安装要求。EMC 的互操作性文档是各个存储厂
商中做得最好的。结合 EMC 知识库中的案例 ID,得到如下解决方法:

CX 系列+HACMP 5.2+AIX 5.3 的环境要求是:

AIX 5.3: 20

20. AIX 5.3 when used with HACMP 5.2 requires APAR(s) IY60930, IY61034, and
IY62191.

===================================================
=====
HACMP5.2: 3,11,12,13,14,15,21

3. When booting from the CLARiiON, HACMP support requires a separate storage
group for each host. Sharing of the luns containing rootvg within each storage group is
not supported. Only
data luns can be assigned to multiple storage groups as shared luns.

11. For all PCI−based hosts only: See http://publib16.boulder.ibm.com/ ...


docs/pdf/380538.pdf for appropriate HBA placement guidelines.

12. cllockd and cllockdES are no longer supported under HACMP 5.2.

13. HACMP 5.2 requires minimum APAR IY58496 − Base fixes for HACMP 5.2.0..

14. See Primus ID EMC69100 which contains additional requirements for support of
HACMP 5.2 with Powerpath.

15. HACMP 5.2 is supported with a minimum of Powerpath version 4.2.0.

21. HACMP 5.2 when used with AIX 5.3 requires RSCT APAR IY61770.

===================================================
=====
CX600/400: 8,9

8. For AIX 5.2 Requires CLArrayS3.5.2.0.7 or later with Flare code 2.05 or earlier
(CX−series) and 8.50 or earlier (FC4700). Requires EMC ODM 5.1.0.0 or later fileset
support for Flare code 2.06 or later (CX−series) and 8.51 or later (FC4700).

9. For AIX 5.1 requires CLArrayS3.5.1.0.6 or later for Flare code 2.05 or earlier
(CX−series) and 8.50 or earlier (FC4700). Requires EMC ODM 5.1.0.0 or later fileset
support for Flare code 2.05
or later (CX−series) and 8.51 or later (FC4700).

我们遇到的问题:
HACMP 5.2 的第 14 项要求:Primus ID EMC69100,而是出 EMC 知识库的案例详细内
容,见附件